cascading.flow.hadoop.util

## Class LazySpillableTupleCollection

- java.lang.Object
- - cascading.flow.hadoop.util.LazyCollection
  - - cascading.flow.hadoop.util.LazySpillableTupleCollection

- All Implemented Interfaces:
    ResettableCollection<java.util.Iterator<Tuple>>, Spillable, java.lang.Iterable<Tuple>, java.util.Collection<Tuple>

      public class LazySpillableTupleCollection
      extends LazyCollection
      implements Spillable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface cascading.tuple.collect.Spillable

      `Spillable.SpillListener, Spillable.SpillStrategy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazySpillableTupleCollection(java.util.Collection<Tuple> parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tuple` | `getGrouping()`
    `void` | `setGrouping(Tuple group)`
    `void` | `setSpillListener(Spillable.SpillListener spillListener)`
    `void` | `setSpillStrategy(Spillable.SpillStrategy spillStrategy)`
    `int` | `spillCount()` The number of times this container has spilled data to disk.

    - ### Methods inherited from class cascading.flow.hadoop.util.LazyCollection

      `add, addAll, clear, contains, containsAll, equals, getParent, hashCode, isEmpty, iterator, remove, removeAll, reset, retainAll, size, toArray, toArray`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LazySpillableTupleCollection

          public LazySpillableTupleCollection(java.util.Collection<Tuple> parent)

  - ### Method Detail

    - #### setGrouping

          public void setGrouping(Tuple group)

      Specified by:
        `setGrouping` in interface `Spillable`

    - #### getGrouping

          public Tuple getGrouping()

      Specified by:
        `getGrouping` in interface `Spillable`

    - #### setSpillStrategy

          public void setSpillStrategy(Spillable.SpillStrategy spillStrategy)

      Specified by:
        `setSpillStrategy` in interface `Spillable`

    - #### setSpillListener

          public void setSpillListener(Spillable.SpillListener spillListener)

      Specified by:
        `setSpillListener` in interface `Spillable`

    - #### spillCount

          public int spillCount()

      Description copied from interface: `Spillable`
      The number of times this container has spilled data to disk.
      Specified by:
        `spillCount` in interface `Spillable`
      Returns:
        in int

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.